Update an organization.
Path parameters
| Name |
Type |
Required |
Description |
id |
string |
yes |
The unique identifier of the record |
Query parameters
| Name |
Type |
Required |
Description |
with[] |
string[] |
no |
Include related resources in the response. Pass multiple values as separate query parameters (e.g., ?with[]=createdBy&with[]=updatedBy). One of: createdBy, updatedBy. |
Request body
Required.
application/json
id string (uuid) · required
name string · required
businessId string — Immutable — must match the existing value if provided.
country string — ISO 3166-1 alpha-3 country code. Immutable — must match the existing value if provided.
{
"id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
"name": "Acme AB",
"businessId": "556123-4567",
"country": "SWE"
}
Responses
| Status |
Description |
| 200 |
Organization updated successfully |
| 404 |
Organization not found |
| 422 |
Validation error |
Response 200 body
data object · required
meta object · required
{
"data": {
"id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
"businessId": "556123-4567",
"country": "SWE",
"createdAt": "2024-06-30T19:00:00Z",
"createdBy": {
"id": "019222d9-d87d-7724-bba6-ba91503ea311",
"firstName": "John",
"lastName": "Doe"
},
"name": "Acme Corporation",
"updatedAt": "2024-06-30T19:00:00Z",
"updatedBy": {
"id": "019222d9-d87d-7724-bba6-ba91503ea311",
"firstName": "John",
"lastName": "Doe"
}
},
"meta": {
"requestId": "019a3a60-6328-7075-8a41-76ff545ca5d3",
"userId": "019a3a60-929c-7820-9b35-bf79a8bf83a6",
"organizationId": "019a3a60-8175-7a68-88da-ecb4a7040b86"
}
}